#ifndef WEATHERWIDGET_H
#define WEATHERWIDGET_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>
#include <QFont>
#include <QIcon>
#include <QProcess>
#include <QMouseEvent>
#include "../commondata.h"
#include "../gsettingmanager.h"
#include "../dbusmanager.h"

class weatherWidget : public QWidget
{
    Q_OBJECT
public:
    explicit weatherWidget(QWidget *parent = nullptr);
    void initMemberVariables();
    void initLabelData();
    void initLayout();
    void setLabelData();
    void connectGSetting();

private:
    QWidget *m_pWeatherWidget;
    QLabel  *m_pWeatherIconLabel;
    QLabel  *m_pAreaLabel;
    QLabel  *m_pWeatherNumLabel;
    QHBoxLayout  *m_pMainHLayout;
    PictureToWhite *m_pPictureToWhite;

private slots:
    void    weatherChangeSlots(QString key);
    void    styleChangeSlots(QString key);

public slots:
    bool    eventFilter(QObject *obj, QEvent *event);

};

#endif // WEATHERWIDGET_H
